package org.brains2b.coffee.gui;

import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

import org.brains2b.coffee.message.NewsGroup;
import org.brains2b.swingext.gui.IconFactory;

public class NewsGroupRenderer extends JLabel implements ListCellRenderer {

	public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus) {
        NewsGroup ng = (NewsGroup) value;
        if (ng==null) return new JLabel();
        String name = ng.getName();
        setText(name);
        setOpaque(true);
        setIcon(IconFactory.createIcon("/org/brains2b/coffee/resource/News24.gif"));
        if (isSelected) {
            setBackground(list.getSelectionBackground());
        } else {
            setBackground(list.getBackground());
        }
        return this;
    }
    
}