/* 	NZBFile.java
 *	Copyright (c) 2005, Brains2B.org
 *	
 *	Created by: Dennis Groenendijk
 *	Created on: 22-jul-2005
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that  * the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and 
 * the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 * the following disclaimer in the documentation and/or other materials provided with the distribution. 
 * 3. The name of the author may not be used to endorse or promote products derived from this software 
 * without specific prior written permission. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package org.brains2b.coffee.plugin.nzb;

import org.brains2b.coffee.message.Article;

/** [Short description]
 *  [Long description]
 *
 * @author <A HREF="MAILTO:dennis@brains2b.nl">dennis@brains2b.nl</A>
 * @version [version] [lastrevisiondate]
 */
public class NzbArticle extends Article implements NzbContent {

    private int m_size=0;
    private int m_sequence=0;
    private String m_group;
    private boolean m_failed=false;
    private boolean m_complete=false;
    private boolean m_paused;
    /**
     * 
     */
    public NzbArticle() {
        super();
    }

    public int getSequence() {
        return m_sequence;
    }
    public void setSequence(int sequence) {
        m_sequence = sequence;
    }
    public int getSize() {
        return m_size;
    }
    public void setSize(int size) {
        m_size = size;
    }
    public String getGroup() {
        return m_group;
    }
    public void setGroup(String group) {
        m_group = group;
    }
    
    
    public boolean isFailed() {
        return m_failed;
    }
    public void setFailed(boolean failed) {
        m_failed = failed;
    }
    public boolean isComplete() {
        return m_complete;
    }
    public void setComplete(boolean complete) {
        m_complete = complete;
    }

	public boolean isPaused() {
		return m_paused;
	}
	
	public void setPaused(boolean b) {
		m_paused = b;
	}
}
