package org.brains2b.coffee.message.local;

import org.brains2b.coffee.message.InfoMessage;

public class ErrorMessage extends InfoMessage {

	private Exception m_exception;
	
	public ErrorMessage(Exception ex) {
		super();
		addHeader(-10, ex.getLocalizedMessage());
		m_exception = ex;
	}

	public Exception getException() {
		return m_exception;
	}
}
