/* 	UUDecoderTest.java
 *	Copyright (c) 2005, Brains2B.org
 *	
 *	Created by: Dennis Groenendijk
 *	Created on: 29-jul-2005
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that  * the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and 
 * the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 * the following disclaimer in the documentation and/or other materials provided with the distribution. 
 * 3. The name of the author may not be used to endorse or promote products derived from this software 
 * without specific prior written permission. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package test.org.brains2b.coffee.util;

import junit.framework.TestCase;
import sun.misc.UUDecoder;
import sun.misc.UUEncoder;

/** [Short description]
 *  [Long description]
 *
 * @author <A HREF="MAILTO:dennis@brains2b.nl">dennis@brains2b.nl</A>
 * @version [version] [lastrevisiondate]
 */
public class UUDecoderTest extends TestCase {

    public static void main(String[] args) {
        junit.swingui.TestRunner.run(UUDecoderTest.class);
    }

    /**
     * Constructor for UUDecoderTest.
     * @param name
     */
    public UUDecoderTest(String name) {
        super(name);
    }

    public void testDecoder() {
        String test="Test UUEncoder and UUDecoder\nTest UUEncoder and UUDecoder\n";
        UUEncoder encoder=new UUEncoder("/home/dennis/test.txt");
         try {
        	String s=encoder.encode(test.getBytes("ISO-8859-1"));
        	int idx=s.indexOf("end");
        	s=s.substring(0,idx)+" \nend\n";
        	UUDecoder decoder=new UUDecoder();
        	byte[] b=decoder.decodeBuffer(s);
        	assertEquals(test,new String(b));
        } catch (Exception ex) {
            ex.printStackTrace();
            assertTrue(ex.getMessage(),false);
        }
        
    }
}
